Skip to main content
GET
/
public
/
OHLC
Get OHLC Data
curl --request GET \
  --url https://api.kraken.com/0/public/OHLC
{
  "error": [],
  "result": {
    "XXBTZUSD": [
      [
        1688671200,
        "30306.1",
        "30306.2",
        "30305.7",
        "30305.7",
        "30306.1",
        "3.39243896",
        23
      ],
      [
        1688671260,
        "30304.5",
        "30304.5",
        "30300.0",
        "30300.0",
        "30300.0",
        "4.42996871",
        18
      ],
      [
        1688671320,
        "30300.3",
        "30300.4",
        "30291.4",
        "30291.4",
        "30294.7",
        "2.13024789",
        25
      ],
      [
        1688671380,
        "30291.8",
        "30295.1",
        "30291.8",
        "30295.0",
        "30293.8",
        "1.01836275",
        9
      ]
    ],
    "last": 1688672160
  }
}

Documentation Index

Fetch the complete documentation index at: https://kraken-sandbox.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Query Parameters

pair
string
required

Asset pair to get data for

assetVersion
enum<integer>

Controls whether response keys and asset identifier fields use Kraken's internal names or display names.

  • Omitted (default): internal names are used. Asset keys use legacy X/Z-prefixed format (XXBT, ZUSD). Pair keys use the internal format (XXBTZUSD). Asset identifier fields (base, quote, fee_volume_currency) also use internal names.
  • assetVersion=1: display names are used. Asset keys become their canonical display names (BTC, USD). Pair keys become the slash-separated display format (BTC/USD). On /public/AssetPairs, the base, quote, and fee_volume_currency fields also switch to display names.

Only assetVersion=1 is currently supported. The altname and wsname fields are not affected by this parameter.

Available options:
1
interval
enum<integer>
default:1

Time frame interval in minutes

Available options:
1,
5,
15,
30,
60,
240,
1440,
10080,
21600
since
integer

Return OHLC entries since the given timestamp (intended for incremental updates)

asset_class
enum<string>

This parameter is required on requests for non-crypto pairs, i.e. use tokenized_asset for xstocks.

Available options:
tokenized_asset

Response

200 - application/json

OHLC data retrieved.

result
object
error
string[]

Kraken API error